<template>
  <v-app class="drugMedication">
    <div class="drugMedication__title">
      <h1>Назначенные лекарства</h1>
    </div>

    <v-data-table
        :headers="headers"
        :items="drugMedications"
        sort-by="id"
        class="drugMedication__table"
    >
    </v-data-table>
  </v-app>
</template>

<script>
import axios from "axios";

export default {
  name: "DrugMedication",
  data() {
    return {
      drugMedications: [],

      headers: [
        {
          text: 'Лекарство',
          value: 'drug.name',
          sortable: false
        },
        {
          text: 'Стоимость',
          value: 'drug.price',
          sortable: false
        },
        {
          text: 'Количество',
          value: 'count',
          sortable: false
        },

      ]
    }
  },

  mounted() {
    this.fetchDrugMedication(this.$route.params.id)
  },

  methods: {
    async fetchDrugMedication(id) {
      axios
          .get(this.$root.globalVar + '/receipt/patient/' + id)
          .then(response => this.drugMedications = response.data)
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: сервер отключен.')
          })
    },
  }
}
</script>

<style lang="scss" scoped>
.drugMedication {
  &__title {
    margin: 180px 0 50px 0;
    text-align: center;
  }

  &__table {
    width: 60%;
    margin: 0 auto;
  }
}
</style>